aboutsummaryrefslogtreecommitdiffstats
path: root/test/csit/plans/ccsdk/healthcheck/health_check.sh
diff options
context:
space:
mode:
authorsurya-huawei <a.u.surya@huawei.com>2017-09-22 18:58:26 +0530
committersurya-huawei <a.u.surya@huawei.com>2017-09-22 19:03:45 +0530
commitd497d77dfc33accde0686bd1b734ec4ee6871b6b (patch)
tree1b10672d33a3863e69048a683fb2b628370b5781 /test/csit/plans/ccsdk/healthcheck/health_check.sh
parent8e0ec2e5b586c89563014203858f50a664453734 (diff)
Create CSIT HealthCheck Test for CCSDK
Adding intital changes for CCSDK's CSIT HealthCheck Test To execute it, run the command: ./integration/test/csit/run-csit.sh plans/ccsdk/healthcheck *currently test case fails due to sli startup failure Issue-Id: CCSDK-103 Change-Id: I4367b0ade16e189730630c14db270d687271b9c7 Signed-off-by: surya-huawei <a.u.surya@huawei.com>
Diffstat (limited to 'test/csit/plans/ccsdk/healthcheck/health_check.sh')
-rw-r--r--test/csit/plans/ccsdk/healthcheck/health_check.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/test/csit/plans/ccsdk/healthcheck/health_check.sh b/test/csit/plans/ccsdk/healthcheck/health_check.sh
new file mode 100644
index 000000000..db5795eae
--- /dev/null
+++ b/test/csit/plans/ccsdk/healthcheck/health_check.sh
@@ -0,0 +1,28 @@
+#!/usr/bin/env bash
+###############################################################################
+# Copyright 2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+###############################################################################
+SCRIPTS="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+echo $SCRIPTS
+
+response=$(curl --write-out '%{http_code}' --silent --output /dev/null -H "Authorization: Basic YWRtaW46S3A4Yko0U1hzek0wV1hsaGFrM2VIbGNzZTJnQXc4NHZhb0dHbUp2VXkyVQ==" -X POST -H "X-FromAppId: csit-sdnc" -H "X-TransactionId: csit-ccsdk" -H "Accept: application/json" -H "Content-Type: application/json" http://localhost:8282/restconf/operations/SLI-API:healthcheck )
+
+if [ "$response" == "200" ]; then
+ echo "CCSDK health check passed."
+ exit 0;
+fi
+
+echo "CCSDK health check failed with response code ${response}."
+exit 1